Welcome to the New BigPanda API Documentation
curl --location --globoff 'https://integrations.bigpanda.io/oim/dynatrace_v2/alerts?access_token={access_token}&app_key={app_key}' \
--header 'Authorization: Bearer {x-auth-token}' \
--header 'Content-Type: application/json' \
--data '{
"app_key": "string",
"ProblemID": "string",
"ProblemTitle": "string",
"ProblemImpact": "string",
"ImpactedEntity": "string",
"State": "string",
"ProblemDetailsJSON": {
"tagsOfAffectedEntities": [
{
"context": "string",
"value": "string",
"key": "string"
}
],
"displayName": "string",
"commentCount": 0,
"affectedCounts": {
"INFRASTRUCTURE": 0,
"SERVICE": 0,
"APPLICATION": 0,
"ENVIRONMENT": 0
},
"hasRootCause": true,
"impactLevel": "string",
"severityLevel": "string",
"rankedImpacts": [
{
"impactLevel": "string",
"severityLevel": "string",
"entityId": "string",
"eventType": "string",
"entityName": "string"
}
],
"recoveredCounts": {
"INFRASTRUCTURE": 0,
"SERVICE": 0,
"APPLICATION": 0,
"ENVIRONMENT": 0
},
"startTime": 0,
"id": "string",
"endTime": 0,
"rankedEvents": [
{
"impactLevel": "string",
"isRootCause": true,
"severityLevel": "string",
"entityName": "string",
"annotationDescription": "string",
"startTime": 0,
"entityId": "string",
"correlationId": "string",
"endTime": 0,
"eventType": "string",
"status": "string",
"severities": [
null
]
}
],
"status": "string"
},
"PID": "string",
"ProblemDetails": "string",
"Tags": "string",
"ProblemURL": "http://example.com"
}'{
"status": 201,
"data": {}
}